##### 7.5.3.0. sa_poly_reduce

Procedure from library `central.lib` (see central_lib).

Usage:
  sa_poly_reduce(p, V); p poly, V ideal

Return:
  polynomial, a reduction of p w.r.t. V

Purpose:
  computes a reduction of the polynomial p w.r.t. the subalgebra generated by elements of V

Note:
  At the moment the usage of this procedure is limited to G-algebras

Example:

    LIB "central.lib";
    ring AA = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z; D[1,3]=2*x; D[2,3]=-2*y;
    def A = nc_algebra(1,D); setring A; // this algebra is U(sl_2)
    poly f = 4*x*y+z^2-2*z; // a central polynomial
    sa_poly_reduce(f + 3*f*f + x, ideal(f) ); // should be just 'x'
    ==> x

See also: sa_reduce.

User manual for Singular version 4.4.1, 2025, generated by texi2html.